Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.util
Class WeakValueHashMap

    java.lang.Object
      |
      +--java.util.AbstractMap
            |
            +--org.openorb.util.WeakValueHashMap

All Implemented Interfaces:
  java.util.Map

public class WeakValueHashMap
extends java.util.AbstractMap
implements java.util.Map

Version:
  $Revision: 1.7 $ $Date: 2002/06/28 08:59:06 $
Author:
  Chris Wood

Inner classes inherited from class java.util.Map
`java.util.Map.Entry`

Constructor Summary
`WeakValueHashMap()` Constructs a new, empty `WeakValueHashMap` with the default initial capacity and the default load factor, which is `0.75`.
`WeakValueHashMap(int initialCapacity)` Constructs a new, empty `WeakValueHashMap` with the given initial capacity and the default load factor, which is `0.75`.
`WeakValueHashMap(int initialCapacity, float loadFactor)` Constructs a new, empty `WeakValueHashMap` with the given initial capacity and the given load factor.
`WeakValueHashMap(java.util.Map t)` Constructs a new `WeakValueHashMap` with the same mappings as the specified `Map`.

Method Summary
`void` | `clear()` Removes all mappings from this map.
`boolean` | `containsKey(java.lang.Object key)` Returns `true` if this map contains a mapping for the specified key.
`java.util.Set` | `entrySet()` Returns a `Set` view of the mappings in this map.
`java.lang.Object` | `get(java.lang.Object key)` Returns the value to which this map maps the specified `key`.
`java.lang.Object` | `put(java.lang.Object key, java.lang.Object value)` Updates this map so that the given `key` maps to the given `value`.
`java.lang.Object` | `remove(java.lang.Object key)` Removes the mapping for the given `key` from this map, if present.

Methods inherited from class java.util.AbstractMap
`containsValue, equals, hashCode, isEmpty, keySet, putAll, size, toString, values`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`containsValue, equals, hashCode, isEmpty, keySet, putAll, size, values`

Constructor Detail

### WeakValueHashMap

    public WeakValueHashMap(int initialCapacity,
                            float loadFactor)

  Constructs a new, empty `WeakValueHashMap` with the given initial capacity and the given load factor.
  Parameters:
    `initialCapacity` - The initial capacity of the `WeakValueHashMap`
    `loadFactor` - The load factor of the `WeakValueHashMap`

### WeakValueHashMap

    public WeakValueHashMap(int initialCapacity)

  Constructs a new, empty `WeakValueHashMap` with the given initial capacity and the default load factor, which is `0.75`.
  Parameters:
    `initialCapacity` - The initial capacity of the `WeakValueHashMap`

### WeakValueHashMap

    public WeakValueHashMap()

  Constructs a new, empty `WeakValueHashMap` with the default initial capacity and the default load factor, which is `0.75`.

### WeakValueHashMap

    public WeakValueHashMap(java.util.Map t)

  Constructs a new `WeakValueHashMap` with the same mappings as the specified `Map`. The `WeakValueHashMap` is created with an initial capacity of twice the number of mappings in the specified map or 11 (whichever is greater), and a default load factor, which is `0.75`.
  Parameters:
    `t` - the map whose mappings are to be placed in this map.
  Since:
    1.3

Method Detail

### entrySet

    public java.util.Set entrySet()

  Returns a `Set` view of the mappings in this map.
  Specified by:
    `entrySet` in interface `java.util.Map`
  Overrides:
    `entrySet` in class `java.util.AbstractMap`
  Returns:
    The set of entries in the map. This method creates an empty set if the member is null.

### containsKey

    public boolean containsKey(java.lang.Object key)

  Returns `true` if this map contains a mapping for the specified key.
  Specified by:
    `containsKey` in interface `java.util.Map`
  Overrides:
    `containsKey` in class `java.util.AbstractMap`
  Parameters:
    `key` - The key whose presence in this map is to be tested.
  Returns:
    True if the internal map contains the key, false otherwise.

### get

    public java.lang.Object get(java.lang.Object key)

  Returns the value to which this map maps the specified `key`. If this map does not contain a value for this key, then return `null`.
  Specified by:
    `get` in interface `java.util.Map`
  Overrides:
    `get` in class `java.util.AbstractMap`
  Parameters:
    `key` - The key whose associated value, if any, is to be returned
  Returns:
    The value for the spacified key.

### put

    public java.lang.Object put(java.lang.Object key,
                                java.lang.Object value)

  Updates this map so that the given `key` maps to the given `value`. If the map previously contained a mapping for `key` then that mapping is replaced and the previous value is returned.
  Specified by:
    `put` in interface `java.util.Map`
  Overrides:
    `put` in class `java.util.AbstractMap`
  Parameters:
    `key` - The key that is to be mapped to the given `value`
    `value` - The value to which the given `key` is to be mapped
  Returns:
    The previous value to which this key was mapped, or `null` if if there was no mapping for the key

### remove

    public java.lang.Object remove(java.lang.Object key)

  Removes the mapping for the given `key` from this map, if present.
  Specified by:
    `remove` in interface `java.util.Map`
  Overrides:
    `remove` in class `java.util.AbstractMap`
  Parameters:
    `key` - The key whose mapping is to be removed
  Returns:
    The value to which this key was mapped, or `null` if there was no mapping for the key

### clear

    public void clear()

  Removes all mappings from this map.
  Specified by:
    `clear` in interface `java.util.Map`
  Overrides:
    `clear` in class `java.util.AbstractMap`

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD